petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscViewerDrawGetDraw

Returns PetscDraw object from PetscViewer object. This PetscDraw object may then be used to perform graphics using PetscDrawXXX() commands.

### Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode  PetscViewerDrawGetDraw(PetscViewer viewer,PetscInt windownumber,PetscDraw *draw)

Collective on PetscViewer

### Input Parameters

| viewer | - the PetscViewer (created with PetscViewerDrawOpen())
| windownumber | - indicates which subwindow (usually 0)

### Ouput Parameter

draw -the draw object

### See Also

PetscViewerDrawGetLG(), PetscViewerDrawGetAxis(), PetscViewerDrawOpen()

Level:intermediate
Location:src/sys/classes/viewer/impls/draw/drawv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex21.c.html